Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractCreateData

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractCreateData

public class ContractCreateData extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractCreateData.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractCreateData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractCreateData.Builder`
  `builder()`
  `List<EntityAttr>`
  `getContractParameters()`
  `int`
  `getContractSubMode()`
  `int`
  `getContractSuperId()`
  `List<ContractTariff>`
  `getContractTariffs()`
  `List<Integer>`
  `getCopyParameterIds()`
  `String`
  `getCustomTitle()`
  `Date`
  `getDateFrom()`
  `String`
  `getPassword()`
  `int`
  `getPatternId()`
  `String`
  `getTitle()`
  `Map<String,Object>`
  `getTitleParams()`
  `void`
  `setContractParameters(List<EntityAttr> contractParameters)`
  `void`
  `setContractSubMode(int contractSubMode)`
  `void`
  `setContractSuperId(int contractSuperId)`
  `void`
  `setContractTariffs(List<ContractTariff> contractTariffs)`
  `void`
  `setCopyParameterIds(List<Integer> copyParameterIds)`
  `void`
  `setCustomTitle(String customTitle)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setPassword(String password)`
  `void`
  `setPatternId(int patternId)`
  `void`
  `setTitle(String title)`
  `void`
  `setTitleParams(Map<String,Object> titleParams)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractCreateData

    public ContractCreateData()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### getCustomTitle

    public String getCustomTitle()

  - ### getPassword

    public String getPassword()

  - ### getPatternId

    public int getPatternId()

  - ### getContractSuperId

    public int getContractSuperId()

  - ### getContractSubMode

    public int getContractSubMode()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getCopyParameterIds

    public List<Integer> getCopyParameterIds()

  - ### getContractParameters

    public List<EntityAttr> getContractParameters()

  - ### getContractTariffs

    public List<ContractTariff> getContractTariffs()

  - ### getTitleParams

    public Map<String,Object> getTitleParams()

  - ### setTitle

    public void setTitle(String title)

  - ### setCustomTitle

    public void setCustomTitle(String customTitle)

  - ### setPassword

    public void setPassword(String password)

  - ### setPatternId

    public void setPatternId(int patternId)

  - ### setContractSuperId

    public void setContractSuperId(int contractSuperId)

  - ### setContractSubMode

    public void setContractSubMode(int contractSubMode)

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### setCopyParameterIds

    public void setCopyParameterIds(List<Integer> copyParameterIds)

  - ### setContractParameters

    public void setContractParameters(List<EntityAttr> contractParameters)

  - ### setContractTariffs

    public void setContractTariffs(List<ContractTariff> contractTariffs)

  - ### setTitleParams

    public void setTitleParams(Map<String,Object> titleParams)

  - ### builder

    public static ContractCreateData.Builder builder()